# Imagini
A self hosted photo library with user management & authentication. Cross platform Client supporting Android, iOS, and Web.

## Server
### Running

    CONFIG_PATH=$(pwd) DATA_PATH=$(pwd) go run cmd/main.go serve

## Building

    # Generate GraphQL Models
    go run github.com/99designs/gqlgen generate
    go run cmd/main.go generate

    # Generate GraphQL Documentation
    graphdoc -e http://localhost:8484/query -o ./docs/schema

## Client
See `web_native` subfolder.
### Running

    # Chrome
    flutter run -d chrome

    # Simulator
    open -a Simulator
    flutter run

### Building

    # Generate GraphQL Flutter Models
    flutter pub run build_runner build
